## freebsd5-buildutils 5.3+2-2

=== usr.bin/lex/lib/Makefile ===
# $FreeBSD: src/usr.bin/lex/lib/Makefile,v 1.7 1999/08/28 01:02:49 peter Exp $

LIB=    ln
SRCS=   libmain.c libyywrap.c
NOPIC=	yes

LINKS=  ${LIBDIR}/libln.a ${LIBDIR}/libl.a
LINKS+=	${LIBDIR}/libln.a ${LIBDIR}/libfl.a

.if !defined(NOPROFILE)
LINKS+= ${LIBDIR}/libln_p.a ${LIBDIR}/libl_p.a
LINKS+=	${LIBDIR}/libln_p.a ${LIBDIR}/libfl_p.a
.endif

.include <bsd.lib.mk>

=== debian/changelog ===
freebsd5-buildutils (5.3+2-2) unstable; urgency=low

  * Replace Architecture with Cpu/System in control.in.
  * Add /usr/ports, installed as /usr/share/freebsd5-buildutils/ports.
  * Move /usr/share/fbmk to /usr/share/freebsd5-buildutils/mk for consistency.
  * Misc package cleanup (Nuked debian/mk, etc).

 -- Robert Millan <rmh@debian.org>  Fri,  4 Feb 2005 01:30:26 +0100

freebsd5-buildutils (5.3+1-1) unstable; urgency=low

  * Add brandelf.
    - patches/07_brandelf.diff

 -- Robert Millan <rmh@debian.org>  Mon, 27 Dec 2004 21:39:45 +0100

freebsd5-buildutils (5.3-2) unstable; urgency=low

  * patches/01_make_fixes.diff:
    - Set INSTALLINFO to `which ginstall-info || which install-info`.
    - Do, however, not run install-info at all, and use manual install instead.
  * patches/06_ftbfs_gcc-4.0.diff:  New.  Don't declare maxJobs as static.
    This fixes build on gcc-4.0.  Thanks Andreas Jochens. (Closes: #285953)

 -- Robert Millan <rmh@debian.org>  Sat, 18 Dec 2004 01:50:04 +0100

freebsd5-buildutils (5.3-1) unstable; urgency=low

  * Fork for 5.x branch (package been renamed).
    - patches/02_silly_macros.diff:  Sync.

 -- Robert Millan <rmh@debian.org>  Thu, 25 Nov 2004 20:14:35 +0100

freebsd-buildutils (5.2.1+20041028.1-1) unstable; urgency=low

  * Add file2c command.

 -- Robert Millan <rmh@debian.org>  Fri, 12 Nov 2004 20:13:06 +0100

freebsd-buildutils (5.2.1+20041028-1) unstable; urgency=low

  * New upstream snapshot (6.x branch).  Drop support for btxld.
    - patches/*.diff:  Sync.
  * Use new CDBS debian/control auto-generation method.
    - control.in:  New.  Set Build-Depends on @cdbs@ tag.
    - rules:  Set DEB_AUTO_UPDATE_DEBIAN_CONTROL = yes.

 -- Robert Millan <rmh@debian.org>  Thu, 28 Oct 2004 22:53:34 +0200

freebsd-buildutils (5.2.1+20040403-11) unstable; urgency=low

  * patches/002_upstream.diff: Unfuck __unused definition in
    usr.bin/lex/flex.skl.

 -- Robert Millan <rmh@debian.org>  Sun, 20 Jun 2004 13:05:13 +0200

freebsd-buildutils (5.2.1+20040403-10) unstable; urgency=low

  * patches/002_upstream.diff: Nuke __unused completely instead of defining
    it as empty macro. (Closes: #249892)

 -- Robert Millan <rmh@debian.org>  Wed,  9 Jun 2004 18:18:47 +0200

freebsd-buildutils (5.2.1+20040403-9) unstable; urgency=low

  * control (Build-Depends): Add flex. (Closes: #248265)

 -- Robert Millan <rmh@debian.org>  Mon, 10 May 2004 14:11:02 +0200

freebsd-buildutils (5.2.1+20040403-8) unstable; urgency=low

  * Fix strl{cpy,cat} porting properly in config/main.c.

 -- Robert Millan <rmh@debian.org>  Mon, 10 May 2004 02:48:47 +0200

freebsd-buildutils (5.2.1+20040403-7) unstable; urgency=low

  * Fix stupid FTBFS.
    mk/build.mk: Don't attempt to use our make after building it!
  * mk/build.mk: Misc cleanup.

 -- Robert Millan <rmh@debian.org>  Sat,  8 May 2004 21:21:45 +0200

freebsd-buildutils (5.2.1+20040403-6) unstable; urgency=low

  * 003_glibc.diff: Fix stupid segfault in config.
  * mk/build.mk: Set MACHINE_ARCH for make.

 -- Robert Millan <rmh@debian.org>  Tue,  4 May 2004 16:20:17 +0200

freebsd-buildutils (5.2.1+20040403-5) unstable; urgency=low

  * Fix FTBFS.
    mk/build.mk: Set PATH so that our own yacc is used for building config.

 -- Robert Millan <rmh@debian.org>  Sun,  2 May 2004 18:06:29 +0200

freebsd-buildutils (5.2.1+20040403-4) unstable; urgency=low

  * Add awk and config.

 -- Robert Millan <rmh@debian.org>  Sun,  2 May 2004 14:40:25 +0200

freebsd-buildutils (5.2.1+20040403-3) unstable; urgency=low

  * patches/004_lex_bootstrap.diff: Nuked.
  * mk/build.mk: Use yacc to generate parse.h for src/usr.bin/lex.

 -- Robert Millan <rmh@debian.org>  Wed, 14 Apr 2004 14:59:23 +0200

freebsd-buildutils (5.2.1+20040403-2) unstable; urgency=low

  * control (Depends): Add dash.
  * patches/*.diff: Cleanup in order to submit upstream.

 -- Robert Millan <rmh@debian.org>  Thu,  8 Apr 2004 00:17:41 +0200

freebsd-buildutils (5.2.1+20040403-1) unstable; urgency=low

  * New upstream snapshot.
    - patches/*.diff: Resync.
  * Really apply the change (Really Closes: #240023)

 -- Robert Millan <rmh@debian.org>  Sat,  3 Apr 2004 16:02:23 +0200

freebsd-buildutils (5.1-4) unstable; urgency=low

  * Fix FTBFS on alpha. (Closes: #240023)
    - patches/003_glibc.diff (mtree): Check for _STATBUF_ST_NSEC before
      attempting nanosecond tests.
  * control: Fix typo in description. (Closes: #239923)

 -- Robert Millan <rmh@debian.org>  Sat,  3 Apr 2004 13:39:03 +0200

freebsd-buildutils (5.1-3) unstable; urgency=low

  * control (Build-Depends): Add bison.

 -- Robert Millan <rmh@debian.org>  Wed, 24 Mar 2004 22:45:55 +0100

freebsd-buildutils (5.1-2) unstable; urgency=low

  * New package: freebsd-buildutils (based on freebsd-utils).
    (Closes: #233074)

 -- Robert Millan <rmh@debian.org>  Tue, 17 Feb 2004 13:36:30 +0100

freebsd-utils (5.1-1) unstable; urgency=low

  * Upgraded to 5.1
  * Converted to cdbs, and added Build-Depends for freebsd-source-5.1,
    which contains the actual source code.

 -- Nathan Hawkins <utsl@debian.org>  Tue,  7 Oct 2003 15:18:34 -0500

freebsd-utils (5.0-2) unstable; urgency=low

  * Set maintainer to glibc-bsd-devel@lists.alioth.debian.org
  * Added me to Uploaders.
  * Turn into non-native package.
  * Added missing packages to Build-Depends (-libc5-dev, -gcc, byacc)
  * Minor fixes in debian/copyright.
  * Added dummy freebsd-utils package for upgrading.

 -- Robert Millan <rmh@debian.org>  Fri, 11 Jul 2003 04:28:37 +0200

freebsd-utils-5.0 (5.0-1) unstable; urgency=low

  * Initial Release.

 -- Nathan Hawkins <utsl@debian.org>  Fri, 11 Oct 2002 20:43:20 -0400

=== debian/control ===
Source: freebsd5-buildutils
Section: devel
Priority: extra
Maintainer: Robert Millan <rmh@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1), cdbs (>= 0.4.26-1.2), type-handling (>= 0.2.5), debhelper (>= 4.1.0), pmake, flex, bison
Standards-Version: 3.5.2

Package: freebsd5-buildutils
Architecture: any
Depends: ${shlibs:Depends}, dash
Provides: freebsd-buildutils
Conflicts: freebsd-buildutils
Description: Utilities for building FreeBSD 5.x sources
 This package contains the FreeBSD 5.x counterparts of some standard build
 utilities (make, yacc, lex ..)
 .
 They have some specific modifications needed to be able to build FreeBSD 5.x
 sources (such as ufsutils).

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

package 			= freebsd5-buildutils
DEB_TAR_SRCDIR			= src
DEB_AUTO_UPDATE_DEBIAN_CONTROL	= yes

CFLAGS=-O2 -g -Wall -DMACHINE_ARCH='\"$(DEB_BUILD_GNU_CPU)\"'
MAKE_BUILD_FLAGS= COPTS="$(CFLAGS)" NO_WERROR=1 NOGCCERROR=1 NOSHARED=NO
# NO_WERROR for freebsd-make, NOGCCERROR for pmake
PMAKE=pmake
YACC=`ls $(CURDIR)/$(DEB_SRCDIR)/usr.bin/yacc/yacc 2>/dev/null || which yacc`
SUBDIRS=$(BINDIRS) $(SBINDIRS)

makebuilddir/$(package)::
	find $(_cdbs_tarball_dir) -type d -name CVS | xargs rm -rf

build/$(package):: apply-patches
	cd $(DEB_SRCDIR)/usr.bin/yacc ; \
		$(PMAKE) $(MAKE_BUILD_FLAGS)

	cd $(DEB_SRCDIR)/contrib/one-true-awk ; \
		$(YACC) -d -o awkgram.c ../../contrib/one-true-awk/awkgram.y
	cd $(DEB_SRCDIR)/usr.bin/awk ; \
		ln -sf ../../contrib/one-true-awk/awkgram.h ytab.h ; \
		$(PMAKE) $(MAKE_BUILD_FLAGS)

	cd $(DEB_SRCDIR)/usr.bin/cksum ; $(PMAKE) $(MAKE_BUILD_FLAGS)

	cd $(DEB_SRCDIR)/usr.bin/lex ; \
		$(PMAKE) bootstrap ; \
		$(YACC) -d -o parse.c parse.y ; \
		$(PMAKE) $(MAKE_BUILD_FLAGS)

	cd $(DEB_SRCDIR)/usr.bin/make ; \
		$(PMAKE) $(MAKE_BUILD_FLAGS)

	cd $(DEB_SRCDIR)/usr.bin/mkdep ; $(PMAKE) $(MAKE_BUILD_FLAGS)

	cd $(DEB_SRCDIR)/usr.sbin/config ; \
		$(YACC) -d config.y ; \
		cp y.tab.c config.c ; \
		$(PMAKE) $(MAKE_BUILD_FLAGS)

	cd $(DEB_SRCDIR)/usr.sbin/mtree ; $(PMAKE) $(MAKE_BUILD_FLAGS)
	cd $(DEB_SRCDIR)/usr.bin/file2c ; $(PMAKE) $(MAKE_BUILD_FLAGS)
	cd $(DEB_SRCDIR)/usr.bin/brandelf ; $(PMAKE) $(MAKE_BUILD_FLAGS)

binary/$(package):: common-install-prehook-arch
	dh_installdirs
	for i in awk cksum lex make mkdep yacc file2c brandelf ; do \
		cd $(CURDIR)/$(DEB_SRCDIR)/usr.bin/$$i; \
		$(PMAKE) install DESTDIR=$(CURDIR)/debian/$(package) BINDIR=/usr/bin ; \
	done
	for i in mtree config ; do \
		cd $(CURDIR)/$(DEB_SRCDIR)/usr.sbin/$$i; \
		$(PMAKE) install DESTDIR=$(CURDIR)/debian/$(package) BINDIR=/usr/sbin ; \
	done
	cd $(DEB_SRCDIR)/share/mk ; \
		$(PMAKE) install \
		DESTDIR=$(CURDIR)/debian/$(package) BINDIR=/usr/share

	# remove trash
	rm -rf 	debian/$(package)/usr/include \
		debian/$(package)/usr/share/man \
		debian/$(package)/var

	# rename awk
	mv debian/$(package)/usr/bin/nawk \
		debian/$(package)/usr/bin/awk

	# relocate binaries
	mv \
		debian/$(package)/usr/bin/* \
		debian/$(package)/usr/sbin/* \
		debian/$(package)/usr/lib/freebsd/
	for i in `cd debian/$(package)/usr/lib/freebsd && ls` ; do \
		ln -s ../lib/freebsd/$$i \
		debian/$(package)/usr/bin/freebsd-$$i ; \
	done
	rmdir debian/$(package)/usr/sbin

	# make stuff
	mv debian/$(package)/usr/share/mk \
		debian/$(package)/usr/share/$(package)/mk

include /usr/share/cdbs/1/rules/tarball.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/debhelper.mk

## freebsd5-buildutils 5.4

=== share/mk/Makefile ===
# $FreeBSD: src/share/mk/Makefile,v 1.43.2.3 2005/02/28 09:30:12 obrien Exp $
#	@(#)Makefile	8.1 (Berkeley) 6/8/93

FILES=	bsd.README
FILES+=	bsd.compat.mk bsd.cpu.mk bsd.dep.mk bsd.doc.mk bsd.endian.mk
FILES+=	bsd.files.mk bsd.incs.mk bsd.info.mk bsd.init.mk
FILES+=	bsd.kmod.mk
FILES+=	bsd.lib.mk bsd.libnames.mk bsd.links.mk bsd.man.mk bsd.nls.mk
FILES+=	bsd.obj.mk bsd.own.mk
FILES+=	bsd.port.mk bsd.port.post.mk  bsd.port.pre.mk bsd.port.subdir.mk
FILES+=	bsd.prog.mk bsd.subdir.mk bsd.sys.mk
FILES+=	sys.mk
NOOBJ=
FILESDIR=	${BINDIR}/mk

.include <bsd.prog.mk>

=== usr.bin/awk/Makefile ===
# $FreeBSD: src/usr.bin/awk/Makefile,v 1.11 2003/06/06 13:46:55 kuriyama Exp $

AWKSRC=	${.CURDIR}/../../contrib/one-true-awk
.PATH: ${AWKSRC}

PROG=	nawk
SRCS=	awkgram.y b.c lex.c lib.c main.c parse.c proctab.c run.c tran.c ytab.h

CFLAGS+= -DHAS_ISBLANK -I. -I${AWKSRC}

DPADD=	${LIBM}
LDADD=	-lm

LINKS=	${BINDIR}/nawk ${BINDIR}/awk
MLINKS=	nawk.1 awk.1

CLEANFILES= maketab proctab.c ytab.h

ytab.h: awkgram.h
	ln -sf ${.ALLSRC} ${.TARGET}

proctab.c: maketab
	./maketab > proctab.c

build-tools: maketab
maketab: ytab.h ${AWKSRC}/maketab.c

CLEANFILES+=	nawk.1
nawk.1: awk.1
	cat ${.ALLSRC} > ${.TARGET}

.include <bsd.prog.mk>

=== usr.bin/brandelf/Makefile ===
# $FreeBSD: src/usr.bin/brandelf/Makefile,v 1.7 2003/06/14 19:32:51 obrien Exp $

PROG=	brandelf

.include <bsd.prog.mk>

=== usr.bin/cksum/Makefile ===
#	@(#)Makefile	8.2 (Berkeley) 4/28/95
# $FreeBSD: src/usr.bin/cksum/Makefile,v 1.5 2002/02/08 22:31:36 markm Exp $

PROG=	cksum
SRCS=	cksum.c crc.c print.c sum1.c sum2.c crc32.c
LINKS=	${BINDIR}/cksum ${BINDIR}/sum
MLINKS=	cksum.1 sum.1

.include <bsd.prog.mk>

=== usr.bin/file2c/Makefile ===
# $FreeBSD: src/usr.bin/file2c/Makefile,v 1.7 2002/02/08 22:31:39 markm Exp $

PROG=	file2c

.include <bsd.prog.mk>

=== usr.bin/lex/Makefile ===
# $FreeBSD: src/usr.bin/lex/Makefile,v 1.20 2004/07/30 00:08:15 kan Exp $
#
# By default, flex will be configured to generate 8-bit scanners only if the
# -8 flag is given.  If you want it to always generate 8-bit scanners, add
# "-DDEFAULT_CSIZE=256" to CFLAGS.  Note that doing so will double the size
# of all uncompressed scanners.
#
# Bootstrapping of lex is handled automatically.
# Also note that flex.skel no longer gets installed.
#

PROG=		lex
LINKS+=	${BINDIR}/lex ${BINDIR}/lex++
LINKS+=	${BINDIR}/lex ${BINDIR}/flex
LINKS+=	${BINDIR}/lex ${BINDIR}/flex++

SRCS=		scan.c ccl.c dfa.c ecs.c gen.c main.c misc.c nfa.c parse.y \
		skel.c sym.c tblcmp.c yylex.c
LFLAGS+=	-is
CFLAGS+=	-I. -I${.CURDIR}
INCS=		FlexLexer.h
INCSDIR=	${INCLUDEDIR}
MLINKS+=	lex.1 flex.1
MLINKS+=	lex.1 flex++.1
MLINKS+=	lex.1 lex++.1

CLEANFILES=	scan.c skel.c

SUBDIR=		lib

skel.c: mkskel.sh flex.skl
	sh ${.CURDIR}/mkskel.sh ${.CURDIR}/flex.skl > skel.c

bootstrap: initscan.c
	@cmp -s ${.CURDIR}/initscan.c scan.c || { \
		echo "Bootstrapping flex" ; \
		rm -f scan.c ; \
		cp -f ${.CURDIR}/initscan.c scan.c ; \
	}

test: check
check: $(PROG)
	./$(PROG) $(LFLAGS) -t $(COMPRESSION) $(.CURDIR)/scan.l \
	| sed s,\"$(.CURDIR)/scan.l",\"scan.l", \
	| diff $(.CURDIR)/initscan.c -
	@echo "Check successful"

.include <bsd.prog.mk>

=== usr.bin/make/Makefile ===
#	@(#)Makefile	5.2 (Berkeley) 12/28/90
#	$Id: Makefile,v 1.6 1994/06/30 05:33:39 cgd Exp $
# $FreeBSD: src/usr.bin/make/Makefile,v 1.33.2.1 2004/09/14 03:52:51 jmg Exp $

PROG=	make
CFLAGS+=-I${.CURDIR}
SRCS=	arch.c buf.c compat.c cond.c dir.c for.c hash.c job.c main.c \
	make.c parse.c str.c suff.c targ.c util.c var.c var_modify.c
SRCS+=	lstAppend.c lstAtEnd.c lstAtFront.c lstClose.c lstConcat.c \
	lstDatum.c lstDeQueue.c lstDestroy.c lstDupl.c lstEnQueue.c \
	lstFind.c lstFindFrom.c lstFirst.c lstForEach.c lstForEachFrom.c \
	lstInit.c lstInsert.c lstIsAtEnd.c lstIsEmpty.c lstLast.c \
	lstMember.c lstNext.c lstOpen.c lstRemove.c lstReplace.c lstSucc.c
.PATH:	${.CURDIR}/lst.lib

NOSHARED?=	YES

CFLAGS+=-DMAKE_VERSION=\"5200408120\"
.if defined(_UPGRADING)
CFLAGS+=-D__FBSDID=__RCSID
.endif

# There is no obvious performance improvement currently.
# CFLAGS+=-DUSE_KQUEUE

main.o: ${MAKEFILE}

# Set the shell which make(1) uses.  Bourne is the default, but a decent
# Korn shell works fine, and much faster.  Using the C shell for this
# will almost certainly break everything, but it's Unix tradition to
# allow you to shoot yourself in the foot if you want to :-)

MAKE_SHELL?=	sh
.if ${MAKE_SHELL} == "csh"
CFLAGS+=	-DDEFSHELL=0
.elif ${MAKE_SHELL} == "sh"
CFLAGS+=	-DDEFSHELL=1
.elif ${MAKE_SHELL} == "ksh"
CFLAGS+=	-DDEFSHELL=2
.else
.error "MAKE_SHELL must be set to one of \"csh\", \"sh\" or \"ksh\"."
.endif

.include <bsd.prog.mk>

=== usr.bin/mkdep/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/6/93
# $FreeBSD: src/usr.bin/mkdep/Makefile,v 1.9 2001/04/07 11:21:23 ru Exp $

SCRIPTS=	mkdep.gcc.sh
MAN=		mkdep.1
SCRIPTSNAME=	mkdep

.include <bsd.prog.mk>

=== usr.bin/yacc/Makefile ===
#	@(#)Makefile	5.3 (Berkeley) 5/12/90
# $FreeBSD: src/usr.bin/yacc/Makefile,v 1.13 2002/02/08 23:07:36 markm Exp $

PROG=	yacc
SRCS=	closure.c error.c lalr.c lr0.c main.c mkpar.c output.c reader.c \
	skeleton.c symtab.c verbose.c warshall.c
SCRIPTS=yyfix.sh
MAN=	yacc.1 yyfix.1
LINKS=	${BINDIR}/yacc ${BINDIR}/byacc
MLINKS=	yacc.1 byacc.1

.include <bsd.prog.mk>

=== usr.sbin/btxld/Makefile ===
# $FreeBSD: src/usr.sbin/btxld/Makefile,v 1.11 2004/06/22 17:05:37 obrien Exp $

PROG=	btxld
MAN=	btxld.8
SRCS=	btxld.c elfh.c

.include <bsd.prog.mk>

=== usr.sbin/config/Makefile ===
# 	@(#)Makefile	8.1 (Berkeley) 6/6/93
# $FreeBSD: src/usr.sbin/config/Makefile,v 1.34 2004/05/11 15:42:44 cognet Exp $

PROG=	config
MAN=	config.8
SRCS=	config.y main.c lang.l mkmakefile.c mkheaders.c \
	mkoptions.c y.tab.h

WARNS?=	6
CFLAGS+= -I. -I${.CURDIR}

DPADD=	${LIBL}
LDADD=	-ll

mkmakefile.o: configvers.h

.include <bsd.prog.mk>

=== usr.sbin/kgzip/Makefile ===
# $FreeBSD: src/usr.sbin/kgzip/Makefile,v 1.11 2003/06/11 21:36:06 obrien Exp $

PROG=	kgzip
MAN=	kgzip.8
SRCS=	kgzip.c aouthdr.c elfhdr.c kgzcmp.c kgzld.c xio.c

WARNS?=	3

.include <bsd.prog.mk>
